import request from '../utils/request.js'
let JHdata = uni.getStorageSync("userInfo");
/**
 * 获取活动类型列表
 * @param {JSON参数} data 
 */
export function getActivityTypeList(data) {
    return request({
        url: '/AppletEducation/GetActivityTypeList',
        method: 'post',
        data: {
            msg: data,
            MallBaseId: JHdata.JHMallBaseId,
            UserId: JHdata.JHMallUserId,
            TenantId: JHdata.JHTenantId,
            StudentId: JHdata.Id,
            OpenId: JHdata.JHMallUserOpenId,
            SmallShopsId: 0,
            MiniAppId: "wx38e054ee42b054f4",
            token: JHdata.MallToken
        }
    })
}

/**
 * 获取活动列表
 * @param {JSON参数} data 
 */
export function getActivityList(data) {
    return request({
        url: '/AppletEducation/GetActivityPageJXH',
        method: 'post',
        data: {
            msg: data,
            MallBaseId: JHdata.JHMallBaseId,
            UserId: JHdata.JHMallUserId,
            TenantId: JHdata.JHTenantId,
            StudentId: JHdata.Id,
            OpenId: JHdata.JHMallUserOpenId,
            SmallShopsId: 0,
            MiniAppId: "wx38e054ee42b054f4",
            token: JHdata.MallToken
        }
    })
}